Subject: Re: [PATCH v4 0/3] builtin/tag.c: add --trailer option

From: Patrick Steinhardt <[email-masked]>
Date: Thu, 2 May 2024 08:27:27 +0200

On Tue, Apr 30, 2024 at 02:41:48PM +0000, John Passaro via GitGitGadget wrote:
> 4th follow-up patch taking welcome feedback from Patrick and JCH. Net new
> changes include separating from a 2-patch series to 3.
> 
> Since git-tag --list --format="%(trailers)" can interpret trailers from
> annotated tag messages, it seems natural to support --trailer when writing a
> new tag message.
> 
> git-commit accomplishes this by taking --trailer arguments and passing them
> to git-interpret-trailer. This patch series refactors that logic and uses it
> to implement --trailer on git-tag.

This version looks mostly good. There are two tiny nits, but other than
that I don't have anything else to add.

Patrick